com.trendmicro.ds.platform.rest.object.smartfolder

## Class ListQueryDefinitionsResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.ListQueryDefinitionsResponse

-     public class ListQueryDefinitionsResponse
      extends java.lang.Object

  Response object that gets returned from the ListQueryDefinitions API method

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListQueryDefinitionsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<QueryDefinitionGroup>` | `getQueryDefinitionGroups()` Get the List of Query Definitions.
    `void` | `setQueryDefinitionGroups(java.util.List<QueryDefinitionGroup> queryDefinitionGroups)` Sets the List of Query Definitions.
    `ListQueryDefinitionsResponse` | `withQueryDefinitionGroups(java.util.List<QueryDefinitionGroup> queryDefinitionGroups)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListQueryDefinitionsResponse

          public ListQueryDefinitionsResponse()

  - ### Method Detail

    - #### getQueryDefinitionGroups

          public java.util.List<QueryDefinitionGroup> getQueryDefinitionGroups()

      Get the List of Query Definitions.
      Returns:
        The List of Query Definitions.

    - #### setQueryDefinitionGroups

          public void setQueryDefinitionGroups(java.util.List<QueryDefinitionGroup> queryDefinitionGroups)

      Sets the List of Query Definitions.
      Parameters:
        `queryDefinitions` - The List of Query Definitions.

    - #### withQueryDefinitionGroups

          public ListQueryDefinitionsResponse withQueryDefinitionGroups(java.util.List<QueryDefinitionGroup> queryDefinitionGroups)

      Parameters:
        `queryDefinitions` - The List of Query Definitions.
      Returns:
        The updated ListQueryDefinitionsResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.